# AP4_FileByteStream Class Reference

`#include <Ap4FileByteStream.h>`

Inheritance diagram for AP4_FileByteStream:

List of all members.

## Public Types
enum | Mode { STREAM_MODE_READ, STREAM_MODE_WRITE, STREAM_MODE_READ_WRITE }
## Public Member Functions
| AP4_FileByteStream (const char *name, Mode mode)
AP4_Result | ReadPartial (void *buffer, AP4_Size bytesToRead, AP4_Size &bytesRead)
AP4_Result | WritePartial (const void *buffer, AP4_Size bytesToWrite, AP4_Size &bytesWritten)
AP4_Result | Seek (AP4_Position position)
AP4_Result | Tell (AP4_Position &position)
AP4_Result | GetSize (AP4_LargeSize &size)
AP4_Result | Flush ()
void | AddReference ()
void | Release ()
## Protected Member Functions
virtual | ~AP4_FileByteStream ()
## Protected Attributes
AP4_ByteStream * | m_Delegate

## Detailed Description

Definition at line 41 of file Ap4FileByteStream.h.

## Member Enumeration Documentation

enum AP4_FileByteStream::Mode

Enumerator:

  STREAM_MODE_READ |
  STREAM_MODE_WRITE |
  STREAM_MODE_READ_WRITE |

Definition at line 45 of file Ap4FileByteStream.h.

## Constructor & Destructor Documentation

AP4_FileByteStream::AP4_FileByteStream | ( | const char * | name,
|  | Mode | mode |
| ) |  |  |

virtual AP4_FileByteStream::~AP4_FileByteStream | ( |  | ) | `[inline, protected, virtual]`

Definition at line 76 of file Ap4FileByteStream.h.

References m_Delegate.

## Member Function Documentation

AP4_Result AP4_FileByteStream::ReadPartial | ( | void * | buffer,
|  | AP4_Size | bytesToRead,
|  | AP4_Size & | bytesRead |
| ) |  |  | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 55 of file Ap4FileByteStream.h.

References m_Delegate, and AP4_ByteStream::ReadPartial().

AP4_Result AP4_FileByteStream::WritePartial | ( | const void * | buffer,
|  | AP4_Size | bytesToWrite,
|  | AP4_Size & | bytesWritten |
| ) |  |  | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 60 of file Ap4FileByteStream.h.

References m_Delegate, and AP4_ByteStream::WritePartial().

AP4_Result AP4_FileByteStream::Seek | ( | AP4_Position | position | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 65 of file Ap4FileByteStream.h.

References m_Delegate, and AP4_ByteStream::Seek().

AP4_Result AP4_FileByteStream::Tell | ( | AP4_Position & | position | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 66 of file Ap4FileByteStream.h.

References m_Delegate, and AP4_ByteStream::Tell().

AP4_Result AP4_FileByteStream::GetSize | ( | AP4_LargeSize & | size | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 67 of file Ap4FileByteStream.h.

References AP4_ByteStream::GetSize(), and m_Delegate.

AP4_Result AP4_FileByteStream::Flush | ( |  | ) | `[inline, virtual]`

Reimplemented from AP4_ByteStream.

Definition at line 68 of file Ap4FileByteStream.h.

References AP4_ByteStream::Flush(), and m_Delegate.

void AP4_FileByteStream::AddReference | ( |  | ) | `[inline, virtual]`

Implements AP4_Referenceable.

Definition at line 71 of file Ap4FileByteStream.h.

References AP4_Referenceable::AddReference(), and m_Delegate.

void AP4_FileByteStream::Release | ( |  | ) | `[inline, virtual]`

Implements AP4_Referenceable.

Definition at line 72 of file Ap4FileByteStream.h.

References m_Delegate, and AP4_Referenceable::Release().

## Member Data Documentation

AP4_ByteStream* AP4_FileByteStream::m_Delegate`[protected]`

Definition at line 81 of file Ap4FileByteStream.h.

Referenced by AddReference(), Flush(), GetSize(), ReadPartial(), Release(), Seek(), Tell(), WritePartial(), and ~AP4_FileByteStream().

The documentation for this class was generated from the following file:

- Ap4FileByteStream.h